pldd(1)

NOMBRE
pldd - mustra objetos dinámicos compartidos enlazados en un proceso

SINOPSIS
pldd pid
pldd opción

DESCRIPCIÓN
La orden pldd muestra una lista de los objetos compartidos dinámicos (DSO) vinculados al proceso con el identificador de proceso (PID) definido. La lista incluye las bibliotecas que se han cargado dinámicamente mediante dlopen(3).

OPCIONES

--help
-?
    Muestra un mensaje de ayuda y finaliza.

--usage
    Muestra un mensaje de ayuda y finaliza.

--version
-V
    Muestra la versión y finaliza.

ESTADO DE SALIDA
En caso de éxito, pldd finaliza con el estado de salida 0. Si el proceso definido no existiese, el usuario no tuviese permiso para acceder a su lista de objetos compartidos dinámicos o no se proporcionasen argumentos en la línea de órdenes, pldd finalizará con un estado de salida 1. Si indica una opción no válida, finaliza con el estado de salida 64.

VERSIONES
Algunos otros sistemas tienen una orden similar.

ESTÁNDARES
Ninguno.

HISTORIAL
glibc 2.15.

NOTAS
La orden

    lsof -p PID

también muestra en su salida objetos dinámicos compartidos enlazados a un proceso.

La orden gdb(1) info shared también muestra las bibliotecas compartidas que utiliza un proceso, se podrá obtener una salida similar a pldd utilizando una orden como el siguiente (para monitorear el proceso con el pid especificado):

    $ gdb -ex "set confirm off" \
    -ex "set height 0" \
    -ex "info shared" \
    -ex "quit" \
    -p $pid \
    | grep '^0x.*0x';

ERRORES
Desde glibc 2.19 hasta glibc 2.29, pldd no funcionaba: simplemente se colgaba al ejecutarse. Este problema se solucionó en glibc 2.30 y la solución se ha añadido a versiones anteriores de glibc en algunas distribuciones.

EJEMPLOS
    $ echo $$               # Muestra el PID de la shell
    1143
    $ pldd $$               # Muestra los objetos enlazados en la shell
    1143:   /usr/bin/bash
    linux-vdso.so.1
    /lib64/libtinfo.so.5
    /lib64/libdl.so.2
    /lib64/libc.so.6
    /lib64/ld-linux-x86-64.so.2
    /lib64/libnss_files.so.2

VÉASE TAMBIÉN
ldd(1), lsof(1), dlopen(3), ld.so(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.